> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/aig/ai-gateway/describeaigateways.md).

# DescribeAiGateways

## 1. 接口描述

本接口(DescribeAiGateways)用于分页查询ai网关列表

{% hint style="info" %}
**注意事项**

* 本接口认证方式请参考[认证方式](/api-reference/cn/api-introduction/instruction/authorization.md)
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称            | 必选 | 类型                                                                            | 描述                                    |
| --------------- | -- | ----------------------------------------------------------------------------- | ------------------------------------- |
| gatewayUuids    | 否  | Array of String                                                               | AI网关UUID列表。                           |
| gatewayName     | 否  | String                                                                        | AI网关名称。                               |
| status          | 否  | [GatewayStatus](/api-reference/cn/compute/aig/datastructure.md#gatewaystatus) | AI网关状态。                               |
| resourceGroupId | 否  | String                                                                        | 资源组ID。                                |
| pageSize        | 否  | Integer                                                                       | 分页每页数量。                               |
| pageNum         | 否  | Integer                                                                       | <p>分页页码。</p><p>默认值：1</p>              |
| tagKeys         | 否  | Array of String                                                               | <p>根据标签键进行搜索。</p><p>最长不得超过20个标签键。</p> |
| tags            | 否  | Array of [Tag](/api-reference/cn/compute/aig/datastructure.md#tag)            | <p>根据标签进行搜索。</p><p>最长不得超过20个标签。</p>   |

## 3. 响应结果

| 参数名称       | 类型                                                                                     | 描述                                                       |
| ---------- | -------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId  | String                                                                                 | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| totalCount | Integer                                                                                | 符合条件的数据总数。                                               |
| dataSet    | Array of [AiGatewayInfo](/api-reference/cn/compute/aig/datastructure.md#aigatewayinfo) | AI网关列表的数据。                                               |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}

1. **分页查询 AI 网关列表。**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/aigw
Content-Type: application/json
X-ZC-Action: DescribeAiGateways
<Common Request Params>

Request:
{
    "pageSize": 200,
    "pageNum": 1
}
Response:
{
    "requestId": "TCD1C4FC9-CF4B-4E48-AA9B-63FB4D7DC191",
    "response": {
        "requestId": "TCD1C4FC9-CF4B-4E48-AA9B-63FB4D7DC191",
        "totalCount": 2,
        "dataSet": [
            {
                "createdAt": "2025-12-04T08:39:13Z",
                "accessLimit": 0,
                "gatewayUuid": "1568676002379339603",
                "expireTime": "2025-12-11T07:14:55Z",
                "gatewayName": "AI-Gateway-01",
                "expireType": "CUSTOM",
                "resourceGroupId": "47e7f7e0-d7e9-4b28-b4b2-20da9439a294",
                "modelAccess": "UNLIMITED",
                "enabled": true,
                "updatedAt": "2025-12-24T07:30:35Z"
            },
            {
                "createdAt": "2025-12-24T05:45:53Z",
                "accessLimit": 0,
                "gatewayUuid": "1583084275941508435",
                "expireTime": null,
                "gatewayName": "AI-Gateway-02",
                "expireType": "LONG_LIVED",
                "resourceGroupId": "47e7f7e0-d7e9-4b28-b4b2-20da9439a294",
                "modelAccess": "UNLIMITED",
                "enabled": true,
                "updatedAt": "2025-12-24T07:30:43Z"
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
